#
# Cookbook:: infraEnvironment
# Recipe:: Environment
#
# Copyright:: 2017, The Authors, All Rights Reserved.
puts "Loading Environment recipe"

include_recipe "infraVM::VMProvided"

class Environment
  attr_accessor :vlan
  attr_reader :vmProvider
  attr_reader :name
  @vmList

    def initialize(name, vmProvider)
      @name = name
      @vmProvider = vmProvider
      @vmList = Array.new
    end

    def AddVM(newVM)
      puts "Adding VM #{newVM.name} in #{self.name}"
      @vmList.push(newVM)
    end

    def LoadEnvironment(vagrantconfig)
      @vmProvider.LoadVMs(vagrantconfig, @vmList)
    end
end
